Index: bitlbee.conf
===================================================================
--- bitlbee.conf	(revision 783e9b76de9a8ec16e8229d7c476b16ba8011554)
+++ bitlbee.conf	(revision b6cd9e9fe0aa86e83fc4a43b3db2240839e2103a)
@@ -10,8 +10,7 @@
 ##
 ##  Inetd -- Run from inetd (default)
-##  Daemon -- Run as a stand-alone daemon -- EXPERIMENTAL! BitlBee is not yet
-##    stable enough to serve lots of users from one process. Because of this
-##    and other reasons, the use of daemon-mode is *STRONGLY* discouraged,
-##    don't even *think* of reporting bugs when you use this.
+##  Daemon -- Run as a stand-alone daemon, serving all users from one process.
+##    This saves memory if there are more users, the downside is that when one
+##    user hits a crash-bug, all other users will also lose their connection.
 ##  ForkDaemon -- Run as a stand-alone daemon, but keep all clients in separate
 ##    child processes. This should be pretty safe and reliable to use instead
Index: conf.c
===================================================================
--- conf.c	(revision 783e9b76de9a8ec16e8229d7c476b16ba8011554)
+++ conf.c	(revision b6cd9e9fe0aa86e83fc4a43b3db2240839e2103a)
@@ -132,5 +132,5 @@
 			        "\n"
 			        "  -I  Classic/InetD mode. (Default)\n"
-			        "  -D  Daemon mode. (Still EXPERIMENTAL!)\n"
+			        "  -D  Daemon mode. (one process serves all)\n"
 			        "  -F  Forking daemon. (one process per client)\n"
 				"  -u  Run daemon as specified user.\n"
Index: doc/README
===================================================================
--- doc/README	(revision 783e9b76de9a8ec16e8229d7c476b16ba8011554)
+++ doc/README	(revision b6cd9e9fe0aa86e83fc4a43b3db2240839e2103a)
@@ -56,4 +56,9 @@
 a package from your distro would've been a better idea. :-P)
 
+Note that the BitlBee code is getting stable enough for daemon mode to be
+useful. Some public servers use it, and it saves a lot of memory by serving
+tens of users from a single process. One crash affects all users, but these
+are becoming quite rare.
+
 
 DEPENDENCIES
@@ -98,32 +103,4 @@
 versions of make, we'd love to hear it, but it seems this just isn't
 possible.
-
-
-RUNNING ON SERVERS WITH MANY USERS
-==================================
-
-BitlBee is not yet bug-free. Sometimes a bug causes the program to get into
-an infinite loop. Something you really don't want on a public server,
-especially when that machine is also used for other (mission-critical) things.
-For now we can't do much about it. We haven't seen that happen for a long
-time already on our own machines, but some people still manage to get
-themselves in nasty situations we haven't seen before.
-
-For now the best we can offer against this problem is bitlbeed, which allows
-you to setrlimit() the child processes to use no more than a specified
-number of CPU seconds. Not the best solution (not really a solution anyway),
-but certainly trashing one busy daemon process is better than trashing your
-whole machine.
-
-We don't believe adding a limit for bitlbee to /etc/security/limits.conf will
-work, because that file is only read by PAM (ie just for real login users,
-not daemons).
-
-See utils/bitlbeed.c for more information about the program.
-
-Just a little note: Now that we reach version 1.0, this shouldn't be that
-much of an issue anymore. However, on a public server, especially if you
-also use it for other things, it can't hurt to protect yourself against
-possible problems.
 
 
Index: doc/bitlbee.8
===================================================================
--- doc/bitlbee.8	(revision 783e9b76de9a8ec16e8229d7c476b16ba8011554)
+++ doc/bitlbee.8	(revision b6cd9e9fe0aa86e83fc4a43b3db2240839e2103a)
@@ -44,11 +44,6 @@
 
 \fBbitlbee\fP should be called by
-.BR inetd (8).
-(Or \fBbitlbeed\fP,
-if you can't run and/or configure \fBinetd\fP.) There is an experimental
-daemon mode too, in which BitlBee will serve all clients in one process
-(and does not require inetd), but this mode is still experimental.
-There are still some bugs left in BitlBee, and if they cause a crash,
-that would terminate the BitlBee connection for all clients.
+.BR inetd (8),
+or you can run it as a stand-alone daemon.
 .PP
 .SH OPTIONS
@@ -62,8 +57,7 @@
 Run in daemon mode. In this mode, BitlBee forks to the background and
 waits for new connections. All clients will be served from one process.
-This is still experimental. See the note above for more information.
 .IP "-F"
 Run in ForkDaemon mode. This is similar to ordinary daemon mode, but every
-client gets its own process. Easier to set up than inetd mode, but without
+client gets its own process. Easier to set up than inetd mode, and without
 the possible stability issues.
 .IP "-i \fIaddress\fP"
